Subject: bug#58721: 28.2; dired with delete-by-moving-to-trash can't trash directory twice

From: Gustavo Barros <[email-masked]>
Date: Mon, 31 Oct 2022 10:16:47 -0300

On Mon, 31 Oct 2022 at 09:49, Eli Zaretskii <[email-masked]> wrote:

> What is the expected semantics of moving a symlink to trashcan?  Is it
> supposed to move the symlink or its target?  (I'd think it's the
> former, but maybe my instincts are wrong.)  If the expectations are
> that the symlink is moved, then all we need to do is to treat symlinks
> as regular files, by augmenting file-directory-p not to dupe us.

I'm not sure either, but my instincts are the same as yours. If that's
any reference, I just tested here, and that's what "gio trash" does
(moves the symlink, not the target).

> I'm okay with filing another bug report about rename-file, and
> discussing this there.  But that's a separate issue, and fix of this
> bug should not depend on that.

Understood.